summaryrefslogtreecommitdiff
path: root/tests/misc/split-a
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-08 12:26:55 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit03a08a4cd0540cd6b018c5c9f602a1d25847ba62 (patch)
tree4c26a5e5aebb07fb2c35c39d51768a628a2cefa2 /tests/misc/split-a
parent28f1844cefb2decc05858fdf8cc62a9ef63a9a31 (diff)
downloadcoreutils-03a08a4cd0540cd6b018c5c9f602a1d25847ba62.tar.xz
Convert tests/misc/ to use test-lib.sh, too.
Diffstat (limited to 'tests/misc/split-a')
-rwxr-xr-xtests/misc/split-a20
1 files changed, 3 insertions, 17 deletions
diff --git a/tests/misc/split-a b/tests/misc/split-a
index 3f13b9db0..794115f5c 100755
--- a/tests/misc/split-a
+++ b/tests/misc/split-a
@@ -1,7 +1,7 @@
#!/bin/sh
# Show that split -a works.
-# Copyright (C) 2002, 2003, 2004, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2002-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,20 +22,7 @@ if test "$VERBOSE" = yes; then
fi
. $srcdir/../lang-default
-
-pwd=`pwd`
-tmp=split-a.$$
-trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
-
-framework_failure=0
-mkdir $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+. $srcdir/../test-lib.sh
fail=0
@@ -88,7 +75,6 @@ creating file `xaz'
creating file `xba'
EOF
-cmp err exp || fail=1
-test $fail = 1 && diff err exp 2> /dev/null
+compare err exp || fail=1
(exit $fail); exit $fail